## org.eclipse.datatools.sqltools.sqlbuilder.views
Class StatementElement

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.views.StatementElement

    public abstract class StatementElement

extends java.lang.Object

Base class for select, update, insert element

Constructor Summary
`StatementElement(java.lang.Object target)`

Method Summary
`java.lang.Object` `getColumn()`
`java.lang.Object` `getTarget()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatementElement

    public StatementElement(java.lang.Object target)

Method Detail

### getColumn

    public java.lang.Object getColumn()

### getTarget

    public java.lang.Object getTarget()